# Cabinet Power On - PowerOnRacks

## Overview

Cabinet Power On






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `PowerOnRacks`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |No|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. Leave blank for the default project, sub-accounts must fill in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ExpectPowerOnTime** | int | Expected Power-on Time |**Yes**|
| **Ids.N** | string | Cabinet ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Id** | string | Ticket ID |No|




## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=PowerOnRacks
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=mCJrpEKx
&ExpectPowerOnTime=3
&Ids.N=VyYgJVLq
```

### Response Example
    
```json
{
  "Action": "PowerOnRacksResponse",
  "Id": "evhZuOeq",
  "RetCode": 0
}
```





